LocaleAwareNumberConverter (Grails 6.0.0)

Package: org.grails.databinding.converters.web

## [Groovy] Class LocaleAwareNumberConverter

- org.grails.databinding.converters.web.LocaleAwareNumberConverter

- All Implemented Interfaces and Traits:
    ValueConverter

      @groovy.transform.CompileStatic
      class LocaleAwareNumberConverter
      extends java.lang.Object
      implements ValueConverter

  A ValueConverter that knows how to convert a String to any numeric type and is Locale aware. The converter will use the Locale of the current request if being invoked as part of a request, otherwise will use Locale.getDefault()

  Authors:
    Jeff Brown
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.springframework.web.servlet.LocaleResolver` | `localeResolver` |
    `private java.lang.Class<?>` | `targetType` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.web.servlet.LocaleResolver` | `localeResolver`
    `java.lang.Class<?>` | `targetType`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LocaleAwareNumberConverter ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `canConvert(java.lang.Object value)`
    `` | `java.lang.Object` | `convert(java.lang.Object value)`
    `` | `protected java.util.Locale` | `getLocale()`
    `` | `protected java.text.NumberFormat` | `getNumberFormatter()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) private org.springframework.web.servlet.LocaleResolver localeResolver

    - #### private java.lang.Class<?> targetType

  - ### Property Detail

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) org.springframework.web.servlet.LocaleResolver localeResolver

    - #### java.lang.Class<?> targetType

  - ### Constructor Detail

    - #### LocaleAwareNumberConverter()

  - ### Method Detail

    - #### @java.lang.Override boolean canConvert(java.lang.Object value)

    - #### @java.lang.Override java.lang.Object convert(java.lang.Object value)

    - #### protected java.util.Locale getLocale()

    - #### protected java.text.NumberFormat getNumberFormatter()